import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:making_school_asignment_app/common/mixins/request_tool_mixin.dart';
import 'package:making_school_asignment_app/page/home_page/home_logic.dart';

import 'read_over_state.dart';

class ReadOverLogic extends GetxController with RequestToolMixin, GetTickerProviderStateMixin {
  final ReadOverState state = ReadOverState();
  late TabController tabController;
  final HomeLogic homeController = Get.find();

  @override
  void onInit() {
    super.onInit();
    state.tabIndex.value = 0;
    tabController = TabController(
      length: 2,
      vsync: this,
    );
  }


  @override
  void dispose() {
    super.dispose();
    tabController.dispose();
  }
}
